%define major 1
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define _disable_ld_no_undefined 1

Summary:	A free remote desktop protocol client
Name:		freerdp
Version:	1.0.2
%define subrel	2
Release:	%mkrel 5
License:	Apache
Group:		Networking/Remote access
Url:		http://freerdp.sourceforge.net/
Source0:	https://github.com/FreeRDP/FreeRDP/archive/%{version}.tar.gz
Patch0:		freerdp-1.0.2-CVE-2014-0250.patch
Patch1:		freerdp-1.0.2-CVE-2014-0791.patch
Patch2:		freerdp-1.0.2-CVE-2013-4118-and-CVE-2013-4119.patch
Patch3:		freerdp-1.0.2-CVE-2017-283x.patch
BuildRequires:	openssl-devel
BuildRequires:	cups-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	libxcursor-devel
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xv)
BuildRequires:  pkgconfig(x11)
BuildRequires:	cmake
BuildRequires:	xmlto
BuildRequires:	docbook-style-xsl

%description
FreeRDP is a fork of the rdesktop project.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -qn FreeRDP-%{version}
%apply_patches

%build
%cmake \
    -DWITH_CUPS=ON \
    -DWITH_PULSEAUDIO=ON \
    -DWITH_X11=ON \
    -DWITH_XCURSOR=ON \
    -DWITH_XEXT=ON \
    -DWITH_XINERAMA=ON \
    -DWITH_XKBFILE=ON \
    -DWITH_XV=ON \
    -DWITH_ALSA=OFF \
    -DWITH_CUNIT=OFF \
    -DWITH_DIRECTFB=OFF \
    -DWITH_FFMPEG=OFF \
    -DWITH_SSE2=OFF \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_lib}
%make

%install
%makeinstall_std -C build

rm -rf %{buildroot}%{_libdir}/%{name}/*.la
rm -rf %{buildroot}%{_libdir}/*.la

%files
%doc ChangeLog LICENSE README
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/xfreerdp.1.*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/freerdp.pc


%changelog
* Fri Dec 29 2017 luigiwalser <luigiwalser> 1.0.2-5.2.mga5
+ Revision: 1187215
- add patch from debian to fix CVE-2017-283[4-9]

  + daviddavid <daviddavid>
    - add and rediff upstream patch to fix CVE-2013-41[18,19] (mga#19482)

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 740922
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 679349
- Mageia 5 Mass Rebuild

* Tue Jul 01 2014 luigiwalser <luigiwalser> 1.0.2-3.mga5
+ Revision: 641803
- rebuild to update release tag

* Tue Jul 01 2014 luigiwalser <luigiwalser> 1.0.2-2.mga5
+ Revision: 641790
- add patches from opensuse to fix CVE-2014-0250 and CVE-2014-0791

* Sat Oct 19 2013 umeabot <umeabot> 1.0.2-2.mga4
+ Revision: 527532
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 1.0.2-1.mga4
+ Revision: 441066
- new version 1.0.2

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 350933
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 07 2012 guillomovitch <guillomovitch> 1.0.1-1.mga3
+ Revision: 279710
- new version

* Thu Mar 03 2011 saispo <saispo> 0.8.2-1.mga1
+ Revision: 63376
- imported package freerdp

